function [ cluster ] = clusterInfo()
% Change the following 3 lines for cpus/workers, runtime (in second) and memory usage (in gb) to fit your job.
% To use cpus/workers on one compute node (better for Nprocs <=8), using the following 4 lines (example here: 4 cpus, 1 day runtime in second, 1GB memory per cpu)
Nprocs = 4;
Wtime=86400;
Memory= 1;
additionalSubmitArgs = sprintf('-l ncpus=%d -l walltime=%d,cput=%d -l pvmem=%dgb', Nprocs,Wtime,Wtime*Nprocs,Memory);
%
% If you really need to use Nprocs>8 for a job (such as 16, not recommended though), specify the Nprocs=16 above, 
% comment out the above "additionalSubmitArgs" line and use the following 3 lines instead (cpus will be across 4 nodes, 4 cpus per node in this example)
%procsPerNode = 4;
%numberOfNodes = ceil(Nprocs/procsPerNode);
%additionalSubmitArgs = sprintf('-l nodes=%d:ppn=%d -l walltime=%d,cput=%d -l pvmem=%dgb', numberOfNodes, procsPerNode,Wtime,Wtime*numberOfNodes*procsPerNode,Memory);

% Specify a cluster environment and use a local folder as the JobStorageLocation
cluster = parallel.cluster.Generic( 'JobStorageLocation', 'C:\Temp' );

% Define the additional inputs to the submit functions, change 'jemmyhu' to your Sharcnet username
clusterHost = 'saw.sharcnet.ca';
remoteJobStorageLocation = '/scratch/jemmyhu/matlab';
%set(cluster, 'JobStorageLocation', 'C:\Temp');

% Specify file system and MATLAB Root
set(cluster, 'HasSharedFilesystem', false);
set(cluster, 'ClusterMatlabRoot', '/opt/sharcnet/matlab/R2016b');
set(cluster, 'OperatingSystem', 'unix');

% The IndependentSubmitFcn must be a MATLAB cell array that includes the
% three additional inputs for serial tasks
%set(cluster, 'IndependentSubmitFcn', {@independentSubmitFcn, clusterHost, remoteJobStorageLocation, additionalSubmitArgs});
% If you want to run communicating jobs (including matlabpool), you must specify a CommunicatingSubmitFcn
set(cluster, 'CommunicatingSubmitFcn', {@communicatingSubmitFcn, clusterHost, remoteJobStorageLocation,additionalSubmitArgs});
set(cluster, 'GetJobStateFcn', @getJobStateFcn);
set(cluster, 'DeleteJobFcn', @deleteJobFcn);
